/*
                 GNUGO - the game of Go (Wei-Chi)
                Version 1.2   last revised 10-31-95
           Copyright (C) Free Software Foundation, Inc.
                      written by Man L. Li
                      modified by Wayne Iba
        modified by Frank Pursel <fpp%minor.UUCP@dragon.com>
                    documented by Bob Webber
*/
/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation - version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License in file COPYING for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please report any bug/fix, modification, suggestion to

           manli@cs.uh.edu
*/
/*----------------------------------------------------------
  showinst.c -- Show instructions at the beginning of game
----------------------------------------------------------*/

#include <tigcclib.h>
#include "gnugo.h"

void showinst(void)
/* show program instructions */
{
	unsigned long int GoLogo[] = {0x00020000, 0x00060000, 0x00070000,
																0x010F8000, 0x033F0000, 0x03FE0000,
																0x03F60000, 0x07C70000, 0x070F8000,
																0x073F0000, 0x03FE0000, 0x03F60000,
																0x03C60000, 0x030E0000, 0x033E0000,
																0x03F60C00, 0x03E63E00, 0x0302F000,
																0x0303C000, 0x030F0000, 0x023F8000,
																0x01F3C000, 0x1FC76000, 0x7EC03000,
																0x70C01800, 0x01830C00, 0x018F8700,
																0X033F83C0, 0x07FF00E0, 0x0EFC0070,
																0x1C700030, 0x3863E030, 0x78EE7000,
																0xF9F83800, 0xE3C01C00, 0x03C01C00,
																0x02401C00, 0x00203C00, 0x00187800,
																0x000CF000, 0x0007C000, 0x00030000};
	ClrScr();
	FontSetSys(F_8x10);
	Sprite32(66, 29, 42, GoLogo, LCD_MEM, SPRT_XOR);
	
	DrawStr(40, 16, "GNU TI-Go", A_NORMAL);
	FontSetSys(F_6x8);
	DrawStr(12, 74, "Ported by Joseph Marino", A_NORMAL);
	DrawStr(40, 83, "jam4@njit.edu", A_NORMAL);
	ngetchx();																
}  /* end showinst */

